html, body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.rz-sidebar-header {
    padding: 1rem;
    text-align: center;
}

.rz-sidebar-header h3 {
    margin: 0;
    color: var(--rz-text-primary-color);
}

/* Blazor Error UI - Hidden by default, shown only when there's an error */
#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1rem 0.7rem 1rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTgiIGhlaWdodD0iNDV2aWV3Qm94PSIwIDAgNTggNDUiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiPjxkZWZzPjxsaW5lYXJHcmFkaWVudCBpZD0iYSIgeDE9IjAlIiB5MT0iMCUiIHgyPSI1OCUiIHkyPSI3MyUiPjxzdG9wIG9mZnNldD0iMCUiIHN0b3AtY29sb3I9IiNGRkQ1MDAiLz48c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiNGRkUwMDAiLz48L2xpbmVhckdyYWRpZW50PjwvZGVmcz48cGF0aCBmaWxsPSJ1cmwoI2EpIiBkPSJNMCwgMEEwLDAgMCAwLDAgMCwwTDU4LDBBMTAuNywxMC43IDAgMCwxIDY4LjcsMTAuN0w2OC43LDM0LjNBMTAuNywxMC43IDAgMCwxIDU4LDQ1TDAwLDQ1QTAsMCAwIDAsMCAwLDQ1WiIvPjxwYXRoIGZpbGw9IiNGRkYiIGQ9Ik0xOC41LDI5LjVMMjkuNSwxOC41TDI5LjUsMjkuNVoiLz48cGF0aCBmaWxsPSIjRkZGIiBkPSJNMjkuNSwyOS41TDI5LjUsMTguNUwyOS41LDI5LjVaIi8+PC9zdmc+) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred.";
}
